From 2267acd647c8da83aaf0460b5b77b9da1d6d49f3 Mon Sep 17 00:00:00 2001
From: Fabien Boucher <fboucher@redhat.com>
Date: Nov 15 2021 09:15:25 +0000
Subject: Revert "Use latest nodeset for containers (set to f34)"


This reverts commit 14dfdb6aa6d031725c4ad9223e8a7c17d83ba6bf.

2021-11-15 09:13:16.332961 | PLAY [all]
2021-11-15 09:13:16.364779 |
2021-11-15 09:13:16.364970 | TASK [Check for noarch]
2021-11-15 09:13:28.628728 | container | MODULE FAILURE:
2021-11-15 09:13:28.629005 | container | Traceback (most recent call last):
2021-11-15 09:13:28.629046 | container |   File "<stdin>", line 102, in <module>
2021-11-15 09:13:28.629076 | container |   File "<stdin>", line 94, in _ansiballz_main
2021-11-15 09:13:28.629104 | container |   File "<stdin>", line 40, in invoke_module
2021-11-15 09:13:28.629131 | container |   File "/usr/lib64/python3.9/runpy.py", line 210, in run_module
2021-11-15 09:13:28.629158 | container |     return _run_module_code(code, init_globals, run_name, mod_spec)
2021-11-15 09:13:28.629185 | container |   File "/usr/lib64/python3.9/runpy.py", line 97, in _run_module_code
2021-11-15 09:13:28.629213 | container |     _run_code(code, mod_globals, init_globals,
2021-11-15 09:13:28.629239 | container |   File "/usr/lib64/python3.9/runpy.py", line 87, in _run_code
2021-11-15 09:13:28.629266 | container |     exec(code, run_globals)
2021-11-15 09:13:28.629333 | container |   File "/tmp/ansible_command_payload_4ryakxt1/ansible_command_payload.zip/ansible/modules/command.py", line 675, in <module>
2021-11-15 09:13:28.629373 | container |   File "/tmp/ansible_command_payload_4ryakxt1/ansible_command_payload.zip/ansible/modules/command.py", line 620, in main
2021-11-15 09:13:28.629400 | container | FileNotFoundError: [Errno 2] No such file or directory: '/root/src/src.fedoraproject.org/rpms/python-gear'
2021-11-15 09:13:28.629427 | container | Error: non zero exit code: 1: OCI runtime error
2021-11-15 09:13:28.629452 | container | error:
2021-11-15 09:13:28.657380 |
2021-11-15 09:13:28.657512 | TASK [Show stderr]
2021-11-15 09:13:40.396868 | container | MODULE FAILURE:
2021-11-15 09:13:40.397204 | container | Traceback (most recent call last):
2021-11-15 09:13:40.397285 | container |   File "<stdin>", line 102, in <module>
2021-11-15 09:13:40.397373 | container |   File "<stdin>", line 94, in _ansiballz_main
2021-11-15 09:13:40.397455 | container |   File "<stdin>", line 40, in invoke_module
2021-11-15 09:13:40.397514 | container |   File "/usr/lib64/python3.9/runpy.py", line 210, in run_module
2021-11-15 09:13:40.397593 | container |     return _run_module_code(code, init_globals, run_name, mod_spec)
2021-11-15 09:13:40.397740 | container |   File "/usr/lib64/python3.9/runpy.py", line 97, in _run_module_code
2021-11-15 09:13:40.397839 | container |     _run_code(code, mod_globals, init_globals,
2021-11-15 09:13:40.397896 | container |   File "/usr/lib64/python3.9/runpy.py", line 87, in _run_code
2021-11-15 09:13:40.397951 | container |     exec(code, run_globals)
2021-11-15 09:13:40.398006 | container |   File "/tmp/ansible_command_payload_4m4_cjaf/ansible_command_payload.zip/ansible/modules/command.py", line 675, in <module>
2021-11-15 09:13:40.398062 | container |   File "/tmp/ansible_command_payload_4m4_cjaf/ansible_command_payload.zip/ansible/modules/command.py", line 620, in main
2021-11-15 09:13:40.398116 | container | FileNotFoundError: [Errno 2] No such file or directory: '/root/src/src.fedoraproject.org/rpms/python-gear'
2021-11-15 09:13:40.398171 | container | Error: non zero exit code: 1: OCI runtime error
2021-11-15 09:13:40.398226 | container | error:

---

diff --git a/zuul.d/jobs.dhall b/zuul.d/jobs.dhall
index 26f2e23..e5e1adf 100644
--- a/zuul.d/jobs.dhall
+++ b/zuul.d/jobs.dhall
@@ -72,7 +72,7 @@ let Arch =
 
 let executor_nodeset = Zuul.Nodeset.Inline Zuul.Nodeset.empty
 
-let default_nodeset = Nodesets.getName Nodesets.Type.Fedora-Latest-Container
+let default_nodeset = Nodesets.getName Nodesets.Type.Fedora-33-Container
 
 let check_for_tests =
       Zuul.Job::{
diff --git a/zuul.d/jobs.yaml b/zuul.d/jobs.yaml
index f75c6b9..61c9c12 100644
--- a/zuul.d/jobs.yaml
+++ b/zuul.d/jobs.yaml
@@ -4,7 +4,7 @@
     name: clean-stalled-koji-tasks
     description: Cancel Koji tasks running for more than 12 hours
     run: playbooks/koji/clean-stalled-koji-tasks.yaml
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     protected: true
     roles:
       - zuul: zuul-distro-jobs
@@ -51,7 +51,7 @@
       - f33
       - epel8
       - main
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     vars:
       arch_jobs:
         - rpm-scratch-build-s390x
@@ -66,7 +66,7 @@
     description: Base job for RPM build on Fedora Koji
     run: playbooks/koji/build-ng.yaml
     abstract: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     protected: true
     roles:
       - zuul: zuul-distro-jobs
@@ -557,7 +557,7 @@
       - rawhide
       - main
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -580,7 +580,7 @@
     branches:
       - f35
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -603,7 +603,7 @@
     branches:
       - f34
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -626,7 +626,7 @@
     branches:
       - f33
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -649,7 +649,7 @@
     branches:
       - epel8
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -673,7 +673,7 @@
       - rawhide
       - main
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -696,7 +696,7 @@
     branches:
       - f35
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -719,7 +719,7 @@
     branches:
       - f34
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -742,7 +742,7 @@
     branches:
       - f33
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:
@@ -765,7 +765,7 @@
     branches:
       - epel8
     final: true
-    nodeset: fedora-latest-container
+    nodeset: fedora-33-container
     requires:
       - repo
     roles:

